﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=6.01
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Private fx As JFX

	Public Const EXPVW_LEFT_TO_RIGHT As Int = 1 'ignore
	Public Const EXPVW_RIGHT_TO_LEFT As Int = 2 'ignore
	Public Const EXPVW_TOP_TO_BOTTOM As Int = 3 'ignore
	Public Const EXPVW_BOTTOM_TO_TOP As Int = 4 'ignore
End Sub

' Direction: pass one of the constants provided
' (which start with EXPVW_).
Public Sub Expand(Duration As Int, Vw As B4XView, Direction As Int)
	Dim InitialWidth, InitialHeight, InitialLeft, InitialTop As Int

	InitialWidth = Vw.Width
	InitialHeight = Vw.Height
	InitialLeft = Vw.Left
	InitialTop = Vw.Top
	
	Vw.Visible = False
	
	Select Direction
		Case EXPVW_BOTTOM_TO_TOP
			Vw.Top = ViewPos.GetBottom(Vw)
			Vw.Height = 1dip
		Case EXPVW_TOP_TO_BOTTOM
			Vw.Height = 1dip
		Case EXPVW_LEFT_TO_RIGHT
			Vw.Width = 1dip
		Case EXPVW_RIGHT_TO_LEFT
			Vw.Left = ViewPos.GetRight(Vw)
			Vw.Width = 1dip
	End Select
	Vw.Visible = True
	Vw.SetLayoutAnimated(Duration, InitialLeft, InitialTop, InitialWidth, InitialHeight)
End Sub
